APMSLEEP(1)

NOM
apmsleep - met en mode suspendu ou veille et rallume ultérieurement

SYNOPSIS
apmsleep [-sSnwhVd] [--suspend] [--standby] [--noapm] [--wait] [--help] [--version] [--debug] [+]hh:mm

DESCRIPTION
Certains ordinateurs, particulièrement des portables, peuvent être rallumés depuis un mode suspendu de basse consommation en utilisant la puce Horloge-temps-réèl (RTC). Apmsleep peut être utilisé pour régler l'heure d'alarme dans la RTC et pour passer en mode suspendu ou veille. Une interruption provenant de la RTC provoque le réveil de l'ordinateur. Le programme détecte cet évènement, en attendant un saut dans le temps du noyau et se termine avec succès. Si aucun saut n'intervient sous une minute, ou que quelque chose se passe mal, la valeur de retour sera différente de zéro.

L'heure de réveil peut être spécifiée en deux formats :

+hh:mm spécifie un décalage par rapport à l'heure actuelle. L'ordinateur se réveillera dans exactement hh heures et mm minutes plus quelques secondes pour se réveiller.

hh:mm spécifie une heure locale absolue au format 24 heures. L'heure stockée dans le RTC n'est pas importante. Vous pouvez changer la zone de temps utilisée, courament avec la variable d'environnement TZ. Les heures d'été/hiver ne sont pas prises en compte dans cette version, mais le seront peut-être dans une version future.

-V, --version
    Affiche la version du programme apmsleep et termine immédiatement.

-s, --suspend
    Met la machine en mode suspendu si possible (par défaut). Sur mon portable, le mode suspendu éteint tout sauf la mémoire.

-S, --standby
    Met la machine en mode veille si possible. Sur mon portable, le mode veille éteint l'écran, le disque dur et le processeur.

-w, --wait
    Attend indéfiniment le saut de temps.

-n, --noapm
    N'appelle pas /usr/bin/apm pour suspendre l'ordinateur, règle seulement l'alarme de l'horloge et attend le saut de temps.

-d, --debug
    Affiche quelques informations sur ce qui est en train de se passer.

CONFIGURATION SYSTÈME REQUISE

Noyau
    Le périphérique spécial /dev/rtc doit exister et le noyau doit être compilé avec le support APM et RTC.

BIOS
    L'ordinateur doit avoir l'option 'suspendre vers la mémoire' activée dans le BIOS ; 'suspendre vers le disque' ne va pas fonctionner, car l'ordinateur est complètement éteint. vous n'avez pas besoin d'activer la minuterie de l'ALARME, elle sera activée par apmsleep. Sur certaines cartes mères, vous pouvez déterminer quelles interruptions peuvent être utilisées pour réveiller à partir du mode suspendu. Si vous en possèdez une de ce type, vous voudrez peut-être vous assurer que le clavier (IRQ 1) et la RTC (IRQ 8) sont parmi ces interruptions.

Privilèges
    Ce programme doit être exécuté comme administrateur (root) ou avoir l'attribut SUID activé (voir chmod(1)).

BOGUES
Apmsleep ne peut pas détecter quel evènement a terminé la mise en veille. Les evènements possibles sont : activité du clavier ou de la souris, appel sur le modem, alarme de la RTC, n'importe quelle autre interruption. Ce programme n'a été testé que sur un portable Winbook XL (Pentium). Il peut ne pas fonctionner sur votre matériel.

AUTEUR
Écrit par Peter Englmaier (ppe@pa.uky.edu) et pouvant être distribué suivant les termes de la Licence Publique Générale GNU. Le code est basé sur le programme exemple de test de la RTC de Paul Gortmacher. Il n'y a ABSOLUMENT AUCUNE GARANTIE pour ce programme. Le mainteneur actuel est Peter Englmaier.

TRADUCTION
Cette page d'aide a été traduite par José JORGE <jose.jorge@oreka.com>

VOIR AUSSI
xapm(1), apmd(8).